Summary: Open Graphics Transformation Languages
Name: opengtl
Version: 0.9.12
Release: %mkrel 1
Source0: http://www.opengtl.org/download/OpenGTL-%{version}.tar.bz2
License: LGPLv2+
Group: System/Libraries
Url: http://www.opengtl.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: cmake
BuildRequires: zlib-devel
BuildRequires: png-devel
BuildRequires: llvm = 2.6
Requires: llvm = 2.6
Provides: OpenGTL = %version

%description
Graphics Transformation Languages is a set of library for using and
integrating transformation algorithms (such as filter or color conversion)
in graphics applications

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/GTLImageIO
%{_datadir}/OpenGTL

#-------------------------------------------------------------------

%define major 0.6
%define libname %mklibname %name %major

%package -n %libname
Summary: OpenGTL library
Group: System/Libraries

%description -n %libname
OpenGTL library.

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{version}

#-------------------------------------------------------------------
%define develname %mklibname -d %name

%package -n %develname
Summary: OpenGTL development files
Group: Development/C++
Requires: %{libname} = %{version}-%{release}
Provides: OpenGTL-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: OpenCTL-devel = %{version}-%{release}
Provides: openctl-devel = %{version}-%{release}

%description -n %develname
This package contains header files needed if you wish to build applications
based on OpenGTL.

%files -n %develname
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc

#--------------------------------------------------------------------

%prep
%setup -q -n OpenGTL-%version

%build
%cmake
%make

%install
rm -rf %{buildroot}
%{makeinstall_std} -C build

%clean
rm -rf %{buildroot}


%changelog
* Wed Nov 25 2009 Funda Wang <fwang@mandriva.org> 0.9.12-1mdv2010.0
+ Revision: 469908
- New versino 0.9.12

* Thu Sep 17 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9.10-1mdv2010.0
+ Revision: 443967
- New version 0.9.10

* Thu Jul 30 2009 Funda Wang <fwang@mandriva.org> 0.9.9-2mdv2010.0
+ Revision: 404528
- add openctl provides

* Wed Jul 29 2009 Funda Wang <fwang@mandriva.org> 0.9.9-1mdv2010.0
+ Revision: 403874
- fix license
- import opengtl

